#
# Copyright (c) 2001 University of Utah and the Flux Group.
# All rights reserved.
# This file is part of Janos.
# 
# Janos is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License, version 2, as
# published by the Free Software Foundation.
# 
# Janos is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details, in the file
# COPYING.  If that file is not present, write to the Free
# Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
# 02111-1307, USA
# 
# The University of Utah and the Flux Group requests users to
# return to flux-dist@cs.utah.edu any improvements that they make.
#

EE=adoom
EE_P=adoom_p
EESRCS= $(LIBSRCS) main.c \
	packets.c \
	peer.c \
	stats.c \
	send.c \
	dcdetect.c
ifeq ($(ENABLE_PROFILING),yes)
EELDFLAGS=-L$(NODEOS_OBJDIR)/envs/libadoom -ladoom_p
else
EELDFLAGS=-L$(NODEOS_OBJDIR)/envs/libadoom -ladoom
endif

all: $(EE)
all_p: $(EE_P)

CFLAGS += -I$(LIBDIR) -DDEBUG

include $(NODEOS_SRCDIR)/envs/define_vars.mk

include $(NODEOS_SRCDIR)/envs/define_env.mk

clean: 
	rm -f core *.d *.core *.o *.po $(EE) $(EE_P) $(LIBSRCS) $(LIBHEADERS)

# Parent makefile will invoke clean on us, then distclean
distclean: 
	$(SILENT_MAKE_INFORM) "Scrubbing EE directory."
	rm -f GNUmakefile

install install_p: all
	@echo "Example EE $(EE) does not get installed."

check:

.PHONY: all all_p
.PHONY: clean distclean
.PHONY: install install_p
.PHONY: check depend






