/*
 * Copyright (c) 1999, 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#ifndef __ANLIB_CHANCONFIG_H__
#define __ANLIB_CHANCONFIG_H__

/* Input channel configs */
extern char anlib_inchan_ipConfig[];
extern char anlib_strip_ethConfig[];
extern char anlib_inchan_udpConfig[];
extern char anlib_inchan_ip6Config[];

#define ARPIN_CONFIG_LEN 256
extern char anlib_inchan_arpConfig[];

/* Output channel configs */
#define IPOUT_CONFIG_LEN 256
extern char anlib_outchan_ipConfig[];

#define UDPIPOUT_CONFIG_LEN 512
extern char anlib_outchan_udpipConfig[];

extern char anlib_outchan_udpConfig[];

/* ARP channel */
#define ARPOUT_CONFIG_LEN 256
extern char anlib_outchan_arpConfig[];

#endif /* __ANLIB_CHANCONFIG_H__ */
