/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * NodeOS time API
 */
#ifndef _NODEOS_TIME_H_
#define _NODEOS_TIME_H_

#ifdef NODEOS_SPEC_COMPAT
#define an_Timespec an_timespec_t
#define an_timeCurrent an_gettime
#endif

#include <nodeos/impl/an_time.h>

/*
 * Get the current time, expressed in seconds and nanoseconds from ??
 */
void an_gettime(an_timespec_t *curtime);

#endif /* _NODEOS_TIME_H_ */
