/*
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Implementation bits of NodeOS event API.
 */
#ifndef _NODEOS_IMPL_AN_EVENT_H_
#define _NODEOS_IMPL_AN_EVENT_H_

/*
 * an_event interfaces.
 *
 * An index into the caller domain's object table.
 * This layer add the NODEOS entry/exit and INTERN/EXTERN mapping to
 * the internal structure.
 */

typedef struct an_event {
	int index;		/* descriptor table index */
} an_event_t;

#define AN_SIZEOF_EVENT		sizeof(an_event_t)

#endif /* _NODEOS_IMPL_AN_EVENT_H_ */

