/*
 * types.h
 *
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 *
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#ifndef TYPES_HEADER
#define TYPES_HEADER

/*
 * ---- Types and enums
 */
typedef unsigned long long int Uint64;

typedef unsigned long int Uint32;

typedef unsigned short int Uint16;

typedef unsigned char Uint8;

typedef enum Boolean {
	false = 0, 
	true = 1,
} Boolean;

#define FUNC_NO_RETURN __attribute__((__noreturn__))

#endif /* TYPES_HEADER */
