/*
 * Copyright (c) 2000-2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * an_error inline functions
 *
 * XXX these functions are here rather than in the nodeos/impl directory
 * as they should not be exposed in the API.
 */

NODEOS_FUNC_INLINE const char *
an_error_message(void)
{
	return ani_error_globalmsg;
}

NODEOS_FUNC_INLINE int
an_error_code(void)
{
	return ani_error_globalnum;
}

/*
 *  Errors are never brought into the nodeos, thus no
 *  NODEOS_INTERN_ERROR().
 */

NODEOS_FUNC_INLINE an_error_t
NODEOS_EXTERN_ERROR(ani_error_t err)
{
	return ani_error_code(err);
}

